.menuContainer {
    position: fixed;
    left: 1670px;
    top: 200px;
    width: 250px;
    height: 880px;
    background: none;
    z-index: 3000;
    transition: all 0.2s ease-out;
}
.menuBackground {
    width: 250px;
    height: 1080px;
    background: #14254e;
    position: fixed;
    left: 1670px;
    top: 0px;
    opacity: 0.5;
    z-index: 1000;
    transition: all 0.2s ease-out;
}

.menuContainer a {
    text-decoration: none;
}

.menuCore {
    position: relative;
    width: 250px;
    height: 200px;
    transition: all 0.2s ease-out;
}

.menuCore ul {
	list-style-type: none;
}
.menuCore li {
    position:relative;
	list-style-type: none;
}

.menuCore ul li {
    opacity: 0;
    transform: translateX(-100px);
    position: relative;
    width: 200px;
    height: 100px;
    left: -240px;
    top: -216px;
    background: #14254e;
    visibility: hidden;
    transition: all 0.2s ease-out;
}
.menuCore:hover {
    background: #14254e;
}
.menuCore ul li:hover {
    background: #3e6794;
}

.menuCore:hover li {
    visibility: visible;
    opacity: 1;
    transform: translateX(-50px);
}

.menuCore ul li ul {
    opacity: 0;
    transform: translateX(-100px);
    position: relative;
    width: 150px;
    height: 100px;
    left: -190px;
    top: -34px;
    background: #14254e;
    visibility: hidden;
    transition: all 0.2s ease-out;
}

.menuCore ul li:hover ul {
    visibility: visible;
    opacity: 1;
    transform: translateX(-50px);
}
.menuCore ul li ul:hover {
    background: #3e6794;
}

.menuTriangle {
    transform: translate(-100%, -50%);
    position: absolute;
    left: 50px;
    top: 25%;
    border-top: 30px solid transparent;
    border-bottom: 30px solid transparent;
    border-right: 40px solid #14254e;
    opacity: 0;
    transition: all 0.05s ease-out;
}
.triangleBackground {
    overflow: hidden;
    position: absolute;
    left:-50px;
    width: 50px;
    height: 200px;
    visibility: hidden;
}
.menuCore:hover .menuTriangle {
    left: 0px;
    opacity: 1;
    transition: all 0.25s ease-in;
}
.menuCore:hover .triangleBackground {
    visibility: visible;
}

.submenuTriangle {
    transform: translate(-100%, -50%);
    position: absolute;
    left: 50px;
    top: 50%;
    border-top: 30px solid transparent;
    border-bottom: 30px solid transparent;
    border-right: 40px solid #14254e;
    opacity: 0;
    transition: all 0.1s ease-out;
}
.submenuTriangleBackground {
    overflow: hidden;
    position: absolute;
    left: -50px;
    width: 50px;
    height: 200px;
    visibility: hidden;
}
.menuCore ul li:hover .submenuTriangle {
    left: 0px;
    opacity: 1;
    border-right: 40px solid #3e6794;
    transition: all 0.2s ease-out;
}
.menuCore ul li:hover .submenuTriangleBackground {
    visibility: visible;
}

.menuicon{
    position: relative;
    top: 10%;
    left: 50%;
    transform: translate(-50%, 0%);
    z-index: 1000;
    width: 95px;
}

.menutext {
    font-size: 17px;
    font-family: "Circular";
    font-weight: bold;
    color: white;
    text-align: center;
    transform: translate(-50%, -50%);
    position: relative;
    left: 50%;
    top: 30%;
}
.submenutext {
    font-size: 15px;
    font-family: "Circular";
    font-weight: bold;
    color: white;
    text-align: center;
    transform: translate(-50%, -50%);
    position: relative;
    left: 50%;
    top: 50%;
}

.line{
    width: 180px;
    height: 2px;
    background: white;
    position: relative;
    display: block;
    overflow: hidden;
    transform: translate(-50%, -50%);
    left: 50%;
}
.sub {
    width: 130px;
}